#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    long N=3;
    cin>>N;
    long br=0;

    int matrica[N][N];
    int nizVrsta[N];
    int nizKolona[N];

    for(long i = 0;i<N;i++)
    {
        for(long j = 0;j<N;j++)
        {
            matrica[i][j]=0;
        }
        nizVrsta[i]=0;
        nizKolona[i]=0;
    }

    for(long i = 0;i<N;i++)
    {
        long x,y;
        cin>>x>>y;
        nizVrsta[x-1]++;
        nizKolona[y-1]++;
        matrica[x-1][y-1] = 1;
    }

    for(long i = 0;i<N-1;i++)
    {
        if(nizKolona[i]!=1 || nizVrsta[i]!=1)
        {
            if(nizKolona[i]!=1)
            {
                if(nizKolona[i]<1)
                {
                    long j;
                    for(j = i;j<N;j++)
                    {
                        if(nizKolona[j]>1)
                        {nizKolona[j]-=1;
                        break;}

                    }
                    br+=j-i;
                }
                else
                {
                nizKolona[i+1]+=nizKolona[i]-1;
                br+=nizKolona[i]-1;
                }
            }
            else
            {
                if(nizVrsta[i]<1)
                {
                    long j;
                    for(j = i;j<N;j++)
                    {
                        if(nizVrsta[j]>1)
                        {nizVrsta[j]-=1;
                        break;}
                    }
                    br+=j-i;
                }
                else
                {
                nizVrsta[i+1]+=nizVrsta[i]-1;
                br+=nizVrsta[i]-1;
                }

            }
        }

    }

    /*for(long i = 0;i<N;i++)
    {
        for(long j = 0;j<N;j++)
        {
            cout<<matrica[i][j]<<" ";
        }
        cout<<"\n";
    }*/
    cout<<br;
}